$(document).ready(function(){
var d = new Date();
    var month = d.getMonth()+1;
    var day = d.getDate();
    var currentDate = d.getFullYear() + '/' + ((''+month).length<2 ? '0' : '') + month + '/' + ((''+day).length<2 ? '0' : '') + day;

  //$('select').select2();
  var selectedRateTypeRest = $("#rateTypeSel").val();
  if (selectedRateTypeRest == 'sliding') {
    $('#flatRateFileDiv').addClass('hidden');
    $('#slidingRateFileDiv').removeClass('hidden');
  }
  else {
    $('#flatRateFileDiv').removeClass('hidden');
    $('#slidingRateFileDiv').addClass('hidden');
  }
  $("#rateTypeSel").change(function(){
    var selectedRateType = $("#rateTypeSel").val();
    // console.log(selectedRateType);
    if (selectedRateType == 'sliding') {
      $('#flatRateFileDiv').addClass('hidden');
      $('#slidingRateFileDiv').removeClass('hidden');
    }
    else {
      $('#flatRateFileDiv').removeClass('hidden');
      $('#slidingRateFileDiv').addClass('hidden');
    }
  });

  $('#myDatepicker2').datetimepicker({
      format: 'YYYY-MM-DD',
      maxDate: currentDate
  });
  $('#launchDate').datetimepicker({
      format: 'YYYY-MM-DD'
  });

$('#addIpBtn').click(function(evt){
      evt.preventDefault();
      $('#newIpModal').modal('show');
});

$('#createNotesBtn').click(function(evt){
    evt.preventDefault();
    // console.log('foo bar');
    $('#newNotesForm').modal('show');
});

$('#newIpForm').submit(function(evt){
      evt.preventDefault();
      var formData = new FormData($(this)[0]);
      $.ajax({
            type: "POST",
            url: base_url + '/mnos/ip_store',
            data : formData,
            processData: false,
            contentType: false,
            async: false,
            success: function (data){
            if (data.code === 1) {
                  $("#newIpForm")[0].reset();
                  $.alert({
                  title: 'Alert!',
                  content: 'IP Address added successfully',
            });
            setTimeout(function(){
              location.reload();
            }, 5000);
          }
          else if (data.code > 5) {
            $.alert({
                title: 'Alert!',
                content: data.msg,
            });
          }
          else {
            $.alert({
                title: 'Alert!',
                content: 'Your request could not be handled. Try again !',
            });

          }
      },
      error: function(error){
            var output = $.parseJSON(error.responseText);
            // console.log(output.errors);
            $('#ipNotifyArea').removeClass('hidden');
            $('#ipNotifyArea').addClass('alert alert-danger');
            $.each(output.errors, function (key, value) {
                // console.log(value[0]);
                $('#ipNotifyArea').text(value[0]);
            });
      }
    });
    });

$('.notesEditBtn').click(function(tve){
      tve.preventDefault();
      //var theIDD = $("input[name=payment_entry_id]").val();
      var theIDD = $(this).siblings('.notesRowId').val();
      // console.log(theIDD);

      $.ajax({
        type: "GET",
        url: base_url + '/mnos/get_note/' + theIDD,
        processData: false,
        contentType: false,
        async: false,
        success: function (data){
          if (data.code === 1) {
            // console.log(theIDD);
            $('#noteIdEdit').val(theIDD);
            $('#notesServicesEdit').val(data.services_arr).change();
            $('#notesBodyEdit').val(data.result.notes_body);
            $('#invoiceStatusEdit').val(data.result.invoice_status).change();
            $('#remarksEdit').val(data.result.remarks);
            $('#editNotesFormModal').modal('show');
          }
          else if (data.code > 1) {
            $.alert({
                title: 'Alert!',
                content: data.msg,
            });
          }
          else {
            $.alert({
                title: 'Alert!',
                content: 'Your request could not be handled. Try again !',
            });

          }
        }
    });



    });

$('#newNotesFormForm').submit(function(evt){
    evt.preventDefault();
    var formData = new FormData($(this)[0]);
    $.ajax({
        type: "POST",
        url: base_url + '/mnos/notes_store',
        data : formData,
        processData: false,
        contentType: false,
        async: false,
        success: function (data){
          if (data.code === 1) {
            $("#newNotesFormForm")[0].reset();
            $.alert({
                title: 'Alert!',
                content: 'Notes added successfully',
            });
            setTimeout(function(){
              location.reload();
            }, 8000);
          }
          else if (data.code > 5) {
            $.alert({
                title: 'Alert!',
                content: data.msg,
            });
          }
          else {
            $.alert({
                title: 'Alert!',
                content: 'Your request could not be handled. Try again !',
            });

          }
        }
    });
});


$('#editNotesForm').submit(function(evt){
      evt.preventDefault();
      // console.log($(this).length);
      var formData = new FormData($(this)[0]);
      $.ajax({
          type: "POST",
          url: base_url + '/mnos/notes_update',
          data : formData,
          processData: false,
          contentType: false,
          async: false,
          success: function (data){
            if (data.code === 1) {
              $.alert({
                  title: 'Alert!',
                  content: 'Notes Details successfully updated',
              });
              setTimeout(function(){
                location.reload();
              }, 8000);
            }
            else if (data.code > 1) {
              $.alert({
                  title: 'Alert!',
                  content: data.msg,
              });
            }
            else {
              $.alert({
                  title: 'Alert!',
                  content: 'Your request could not be handled. Try again !',
              });

            }
          }
      });
});
$('#addPaymentBtn').click(function(evt){
  evt.preventDefault();
  $('#financePaymentsForm').modal('show');
});
$('.paymentEntryEditBtn').click(function(tve){
  tve.preventDefault();
  //var theIDD = $("input[name=payment_entry_id]").val();
  var theIDD = $(this).siblings('.paymentEntryRowId').val();

  $.ajax({
    type: "GET",
    url: base_url + '/mnos/get_payment/' + theIDD,
    processData: false,
    contentType: false,
    async: false,
    success: function (data){
      if (data.code === 1) {
        // console.log(theIDD);
        $('#paymentIdEdit').val(theIDD);
        $('#financeServicesEdit').val(data.services_arr).change();
        $('#invoiceNumberEdit').val(data.result.invoice_number);
        $('#invoiceAmountEdit').val(data.result.invoice_amount);
        $('#invoiceDateEdit').val(data.result.invoice_date);
        $('#invoiceStatusEdit').val(data.result.invoice_status).change();
        $('#remarksEdit').val(data.result.remarks);
        $('#financePaymentsEditForm').modal('show');
      }
      else if (data.code > 1) {
        $.alert({
            title: 'Alert!',
            content: data.msg,
        });
      }
      else {
        $.alert({
            title: 'Alert!',
            content: 'Your request could not be handled. Try again !',
        });

      }
    }
});

});

$('#financeForm').submit(function(evt){
  evt.preventDefault();
  var formData = new FormData($(this)[0]);
  $.ajax({
      type: "POST",
      url: base_url + '/mnos/finance_store',
      data : formData,
      processData: false,
      contentType: false,
      async: false,
      success: function (data){
        if (data.code === 1) {
          $("#financeForm")[0].reset();
          $.alert({
              title: 'Alert!',
              content: 'Payment Details added successfully',
          });
          setTimeout(function(){
            location.reload();
          }, 8000);
        }
        else if (data.code > 5) {
          $.alert({
              title: 'Alert!',
              content: data.msg,
          });
        }
        else {
          $.alert({
              title: 'Alert!',
              content: 'Your request could not be handled. Try again !',
          });

        }
      },
      error: function(error){
        //console.log(error);
        //console.log("AJAX error in request: " + JSON.stringify(err, null, 2));
        var output = $.parseJSON(error.responseText);
          // console.log(output.errors);
          $('#financeNotifyArea').removeClass('hidden');
          $('#financeNotifyArea').addClass('alert alert-danger');
          $.each(output.errors, function (key, value) {
            // console.log(value[0]);
            $('#financeNotifyArea').text(value[0]);
          });
      }
  });

});

$('#financeEditForm').submit(function(evt){
  evt.preventDefault();
  var formData = new FormData($(this)[0]);
  $.ajax({
      type: "POST",
      url: base_url + '/mnos/finance_update',
      data : formData,
      processData: false,
      contentType: false,
      async: false,
      success: function (data){
        if (data.code === 1) {
          $.alert({
              title: 'Alert!',
              content: 'Payment Details successfully updated',
          });
          setTimeout(function(){
            location.reload();
          }, 8000);
        }
        else if (data.code > 1) {
          $.alert({
              title: 'Alert!',
              content: data.msg,
          });
        }
        else {
          $.alert({
              title: 'Alert!',
              content: 'Your request could not be handled. Try again !',
          });

        }
      }
  });
});
});
